Start notice response
curl --request POST \
--url https://api.consumer.younegotiate.com/notice-responses/start \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.consumer.younegotiate.com/notice-responses/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.consumer.younegotiate.com/notice-responses/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"account": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"last4ssn": "1234",
"company_id": 123,
"status": "joined",
"status_label": "Ready to Negotiate"
},
"completed_steps": [
"sender_details",
"account_details"
],
"steps": [
{
"label": "Sender Details",
"completed": true,
"current": true
}
],
"response_options": {
"negotiation_types": [
{
"value": "pif",
"label": "Settlement"
},
{
"value": "installment",
"label": "Payment Plan"
}
],
"installment_types": [
{
"value": "weekly",
"label": "Weekly"
},
{
"value": "bimonthly",
"label": "Bimonthly"
},
{
"value": "monthly",
"label": "Monthly"
}
],
"custom_offer_reasons": [
"Prefer not to say",
"UnEmployed",
"Death in the Family",
"Unexpected Expenses"
]
},
"sender_detail": {
"id": 123,
"sender": {
"id": 123,
"company_name": "Acme Collections",
"company_phone": "(900) 509-1111",
"company_email": "jsmith@example.com",
"company_address1": "<string>",
"company_address2": "<string>",
"company_city": "<string>",
"company_state": "<string>",
"company_zip": "<string>",
"company_url": "<string>"
}
},
"notice_response": {
"id": 123,
"account_name": "<string>",
"account_number": "<string>",
"notice_balance": "425.50",
"status": 123,
"status_label": "<string>",
"reason_label": "<string>",
"file_path": "notice-responses/123/notice.jpg",
"file_url": "<string>",
"has_notice_photo": true,
"custom_offer": {
"amount": "125.00",
"first_pay_date": "2023-12-25",
"reason": "<string>",
"note": "<string>"
}
}
}
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}Start notice response
Start or resume the notice-response wizard. The backend creates a placeholder consumer account from the authenticated profile when no unfinished placeholder exists, otherwise it returns the unfinished placeholder.
POST
/
notice-responses
/
start
Start notice response
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on July 19, 2026
Was this page helpful?
⌘I

